#

# Change the following line to configure the bamboo logging levels (one of INFO, DEBUG, ERROR, FATAL)
#
log4j.rootLogger=INFO, console, filelog

log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=%d %p [%t] [%c{1}] %m%n

log4j.appender.filelog=org.apache.log4j.RollingFileAppender
log4j.appender.filelog.File=atlassian-bamboo.log
log4j.appender.filelog.MaxFileSize=20480KB
log4j.appender.filelog.MaxBackupIndex=5
log4j.appender.filelog.layout=org.apache.log4j.PatternLayout
log4j.appender.filelog.layout.ConversionPattern=%d %p [%t] [%c{1}] %m%n

# This log below gives more correct line can class details
#log4j.appender.console.layout.ConversionPattern=%d %p [%t] [%C{1}:%L] %m%n
#log4j.appender.filelog.layout.ConversionPattern=%d %p [%t] [%C{1}:%L] %m%n

#
# Ignore logging from webwork.  PH is right, libraries should not log!
#
log4j.category.webwork=WARN
log4j.category.org.apache.velocity=WARN
log4j.category.com.opensymphony.xwork.util.LocalizedTextUtil=ERROR
log4j.category.com.opensymphony.xwork.util.OgnlValueStack=ERROR
log4j.category.org.springframework.beans.factory.support.DependencyInjectionAspectSupport=WARN
log4j.category.com.atlassian.bamboo.filter.AccessLogFilter=WARN
log4j.category.com.atlassian.user.impl.cache.CachingGroupManager=WARN
log4j.category.org.springframework=WARN
log4j.category.net.sf.hibernate=WARN
log4j.category.org.acegisecurity=WARN
log4j.category.com.atlassian.bamboo.user.BambooUserManagerImpl=WARN
log4j.category.org.apache.activemq.transport.failover.FailoverTransport=WARN
log4j.category.org.apache.activemq=iDEBUG
log4j.category.com.atlassian.plugin.servlet.filter.ServletFilterModuleContainerFilter=WARN
log4j.category.com.sun.sungrid.service.tunnel.client.Tunnel=WARN
#log4j.category.com.atlassian.bamboo.command.StreamToLogsPumper=DEBUG
#log4j.category.com.atlassian.bamboo.build.monitoring.BuildHangingMonitor=DEBUG

#log4j.category.com.atlassian.bamboo.repository.cvsimpl.CvsChangeLogListener=DEBUG
#log4j.category.net.sf.hibernate.impl=DEBUG
#log4j.category.com.atlassian.bamboo.build.DefaultBuildExecutionManager=DEBUG
log4j.category.com.atlassian.bamboo.agent=DEBUG
log4j.category.com.atlassian.bamboo.v2.build.agent=DEBUG
#log4j.category.com.atlassian.bamboo.agent.bootstrap.AgentClassLoader=DEBUG
#log4j.category.com.atlassian.bamboo.v2.build.agent.DebugMessageConverter=DEBUG
#log4j.category.com.atlassian.plugin.osgi=DEBUG
#log4j.category.com.atlassian.plugin.osgi.container.felix.FelixOsgiContainerManager=WARN
log4j.category.com.atlassian.bamboo.agent=DEBUG
#log4j.category.com.atlassian.bamboo.buildqueue=DEBUG
#log4j.category.com.atlassian.bamboo.v2.build.agent.remote.heartbeat.AgentHeartBeatJob=DEBUG
log4j.category.com.atlassian.bamboo.buildqueue.manager.RemoteAgentManagerImpl=DEBUG

#for cookies
#log4j.category.com.atlassian.bamboo.ww2.BambooActionSupport=DEBUG

#
# Ignore default into logging from Seraph.
#
log4j.logger.org.apache=INFO
log4j.logger.org.mortbay=INFO

#
# Increase Perforce Logging For Debug puposes
#
#log4j.logger.com.perforce=DEBUG
#log4j.logger.com.tek42=DEBUG
